Darcs
=====

[Darcs](http://darcs.net) is a distributed version control system
written in Haskell.

Getting started
===============

Compiling
---------

Build instructions are available at <http://darcs.net/Binaries> but they may
not be up-to-date.

Here is a quick run down. The easiest way to build darcs is by using
cabal-install version 3.2 or later. A plain

> cabal build

should work out of the box with any ghc-8.x version. You may see some cabal
warnings. Ignore them. If you want to run the tests, you need

> cabal build --enable-tests

This can be made permanent by using

> cabal configure --enable-tests

before building, which is useful mainly for development. Or you can combine
building and testing:

> cabal test --test-show-details=streaming

You can also run

> cabal install

to install the library and the executable.

Using
-----

To clone a repository from HTTP and send patches by mail:

    $ darcs clone --lazy http://darcs.net
    $ (edit files)
    $ darcs add (new files)
    $ darcs record -m "my changes"
    $ darcs send

To clone from SSH and push patches:

    $ darcs clone user@hub.darcs.net:user/repo
    $ (edit files)
    $ darcs add (new files)
    $ darcs record -m "my changes"
    $ darcs push

To create a project and start working:

    $ darcs init (project)
    $ cd (project)
    $ (add files)
    $ darcs add (files)
    $ darcs record -m "initial version"

See <http://darcs.net/Using> for more information.

Reporting bugs
==============

Please send bug reports to <bugs@darcs.net>.

Hacking
=======

Please consult <http://darcs.net/Development/GettingStarted> for
up-to-date information about contributing to Darcs.

The wiki can be downloaded with the command:

    $ darcs clone --lazy http://darcs.net/darcs-wiki
